> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check v3 API key

> Verify API key access and return the authenticated key's details.



## OpenAPI

````yaml /openapi/futures-auth-rest.yaml get /api-keys/v3/check
openapi: 3.1.0
info:
  title: Futures Auth
  version: '1'
  description: >-
    Kraken Futures authentication service. This minimal spec exposes the API-key
    validation endpoint used to verify an API key and return the authenticated
    key's details.
servers:
  - url: https://futures.kraken.com/api/auth/v1
    description: Kraken Futures Production
security: []
tags:
  - name: API Keys
paths:
  /api-keys/v3/check:
    get:
      tags:
        - API Keys
      summary: Check v3 API key
      description: Verify API key access and return the authenticated key's details.
      operationId: checkV3ApiKey
      responses:
        '200':
          $ref: '#/components/responses/CheckV3ApiKey'
        '401':
          $ref: '#/components/responses/Error'
          description: API key is not found or request signature is invalid.
      security:
        - api-key-any: []
          request-signature: []
components:
  responses:
    CheckV3ApiKey:
      description: API key authentication is valid and details have been returned.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CheckedV3ApiKeyDetails'
    Error:
      description: Error descriptor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDescriptor'
  schemas:
    CheckedV3ApiKeyDetails:
      type: object
      properties:
        apiKey:
          description: API key that signed the request.
          type: string
          format: base64
          example: Gom9BsP75m41c9fuY6oJk/unMWaDZjYIcTP4/5kqPvtzdbj5JU5/Fyeb
        accountUid:
          description: UID of the account that the API key belongs to.
          type: string
          format: uuid
        iiban:
          description: IIBAN of the account that the API key belongs to.
          oneOf:
            - $ref: '#/components/schemas/Iiban'
            - type: 'null'
        createdAt:
          $ref: '#/components/schemas/Rfc3339DateTime'
          description: Date-time that the API key was created.
        permissions:
          $ref: '#/components/schemas/ApiKeyPermissionMap'
          description: Permissions of the API key.
        allowedCidrBlock:
          oneOf:
            - $ref: '#/components/schemas/ApiKeyAllowedCidrBlock'
            - type: 'null'
        allowedCidrBlocks:
          description: Ranges of IP addresses that may use the API key.
          type: array
          items:
            $ref: '#/components/schemas/ApiKeyAllowedCidrBlock'
      required:
        - apiKey
        - accountUid
        - iiban
        - createdAt
        - permissions
        - allowedCidrBlock
        - allowedCidrBlocks
    ErrorDescriptor:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        suberror:
          type:
            - string
            - 'null'
      required:
        - error
        - message
        - suberror
    Iiban:
      description: Account IIBAN, if Kraken customer.
      type: string
      example: AA08 N84G CPAR UN7A
      pattern: ^AA[A-Z0-9]{2} [A-Z0-9]{4} [A-Z0-9]{4} [A-Z0-9]{4}$
      x-rustType: iiban::Iiban
    Rfc3339DateTime:
      description: RFC 3339 formatted date-time
      type: string
      format: date-time
      example: '2019-08-24T14:15:22Z'
    ApiKeyPermissionMap:
      type: object
      properties:
        general:
          $ref: '#/components/schemas/ApiKeyV3AccessLevel'
        transfer:
          $ref: '#/components/schemas/ApiKeyV3AccessLevel'
      required:
        - general
        - transfer
    ApiKeyAllowedCidrBlock:
      description: Range of IP addresses that may use the API key.
      type: string
      format: cidr
      example: 192.168.0.0/16
      x-rustType: ipnetwork::IpNetwork
    ApiKeyV3AccessLevel:
      description: Tier of access granted to an API key.
      type: string
      enum:
        - NO_ACCESS
        - READ_ONLY
        - FULL_ACCESS
      x-exhaustive: true
  securitySchemes:
    api-key-any:
      type: apiKey
      description: API Key with any permissions.
      in: header
      name: apikey
      x-inlineDescription: true
    request-signature:
      type: apiKey
      description: Request signature.
      in: header
      name: authent
      x-inlineDescription: true

````